import { WidgetBase } from "@csnext/cs-client";
import { DocDatasource } from "../../datasources/doc-datasource";
import { SearchEntity } from "../../classes/document/search-entity";
import { FeatureType } from "@csnext/cs-data";
export default class ClassOverview extends WidgetBase {
    search: string;
    headers: ({
        text: string;
        value: string;
        groupable: boolean;
        sortable?: undefined;
    } | {
        text: string;
        value: string;
        groupable: boolean;
        sortable: boolean;
    })[];
    get source(): DocDatasource | undefined;
    addEntity(type: FeatureType): void;
    editEntity(type: FeatureType): void;
    deleteEntity(entity: SearchEntity): void;
    addType(): void;
    constructor();
    contentLoaded(): void;
    mounted(): void;
}
